<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:37 UTC 2019 -->
<title>Uses of Class com.here.android.mpa.common.ViewRect (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class com.here.android.mpa.common.ViewRect (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/here/android/mpa/common/class-use/ViewRect.html" target="_top">Frames</a></li>
<li><a href="ViewRect.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class com.here.android.mpa.common.ViewRect" class="title">Uses of Class<br>com.here.android.mpa.common.ViewRect</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#com.here.android.mpa.ar">com.here.android.mpa.ar</a></td>
<td class="colLast">
<div class="block">The AR package provides classes, interfaces and enumerations for displaying LiveSight and customizing the
    experience.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#com.here.android.mpa.mapping">com.here.android.mpa.mapping</a></td>
<td class="colLast">
<div class="block">The mapping
        package provides classes, interfaces, and enumerations that display an
        interactive map, and related functionality that allows your application
        to create and add map content.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="com.here.android.mpa.ar">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a> in <a href="../../../../../../com/here/android/mpa/ar/package-summary.html">com.here.android.mpa.ar</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../com/here/android/mpa/ar/package-summary.html">com.here.android.mpa.ar</a> that return <a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a></code></td>
<td class="colLast"><span class="typeNameLabel">SupportCompositeFragment.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#getClipRect--">getClipRect</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Returns the <a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common"><code>ViewRect</code></a> representing the clip
 rectangle for this <a href="../../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html" title="class in com.here.android.mpa.ar"><code>SupportCompositeFragment</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a></code></td>
<td class="colLast"><span class="typeNameLabel">CompositeFragment.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/CompositeFragment.html#getClipRect--">getClipRect</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Returns the <a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common"><code>ViewRect</code></a> representing the clip
 rectangle for this <a href="../../../../../../com/here/android/mpa/ar/CompositeFragment.html" title="class in com.here.android.mpa.ar"><code>CompositeFragment</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a></code></td>
<td class="colLast"><span class="typeNameLabel">AndroidXCompositeFragment.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/AndroidXCompositeFragment.html#getClipRect--">getClipRect</a></span>()</code>
<div class="block">Returns the <a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common"><code>ViewRect</code></a> representing the clip
 rectangle for this <a href="../../../../../../com/here/android/mpa/ar/AndroidXCompositeFragment.html" title="class in com.here.android.mpa.ar"><code>AndroidXCompositeFragment</code></a>.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../com/here/android/mpa/ar/package-summary.html">com.here.android.mpa.ar</a> with parameters of type <a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar">ARObject</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ARController.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/ARController.html#getObjects-com.here.android.mpa.common.ViewRect-">getObjects</a></span>(<a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a> rect)</code>
<div class="block">Get a list of <a href="../../../../../../com/here/android/mpa/ar/ARObject.html" title="class in com.here.android.mpa.ar"><code>ARObject</code></a>s which intersect the given <a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common"><code>ViewRect</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">SupportCompositeFragment.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#setClipRect-com.here.android.mpa.common.ViewRect-">setClipRect</a></span>(<a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a> rect)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Sets a clipping rectangle to this <a href="../../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html" title="class in com.here.android.mpa.ar"><code>SupportCompositeFragment</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">CompositeFragment.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/CompositeFragment.html#setClipRect-com.here.android.mpa.common.ViewRect-">setClipRect</a></span>(<a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a> rect)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Sets a clipping rectangle to this <a href="../../../../../../com/here/android/mpa/ar/CompositeFragment.html" title="class in com.here.android.mpa.ar"><code>CompositeFragment</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">AndroidXCompositeFragment.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/AndroidXCompositeFragment.html#setClipRect-com.here.android.mpa.common.ViewRect-">setClipRect</a></span>(<a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a> rect)</code>
<div class="block">Sets a clipping rectangle to this <a href="../../../../../../com/here/android/mpa/ar/AndroidXCompositeFragment.html" title="class in com.here.android.mpa.ar"><code>AndroidXCompositeFragment</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">SupportCompositeFragment.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html#setClipRect-com.here.android.mpa.common.ViewRect-android.graphics.PointF-">setClipRect</a></span>(<a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a> rect,
           android.graphics.PointF transformCenter)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Sets a clipping rectangle to the <a href="../../../../../../com/here/android/mpa/ar/SupportCompositeFragment.html" title="class in com.here.android.mpa.ar"><code>SupportCompositeFragment</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">CompositeFragment.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/CompositeFragment.html#setClipRect-com.here.android.mpa.common.ViewRect-android.graphics.PointF-">setClipRect</a></span>(<a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a> rect,
           android.graphics.PointF transformCenter)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Sets a clipping rectangle to the <a href="../../../../../../com/here/android/mpa/ar/CompositeFragment.html" title="class in com.here.android.mpa.ar"><code>CompositeFragment</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">AndroidXCompositeFragment.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/ar/AndroidXCompositeFragment.html#setClipRect-com.here.android.mpa.common.ViewRect-android.graphics.PointF-">setClipRect</a></span>(<a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a> rect,
           android.graphics.PointF transformCenter)</code>
<div class="block">Sets a clipping rectangle to the <a href="../../../../../../com/here/android/mpa/ar/AndroidXCompositeFragment.html" title="class in com.here.android.mpa.ar"><code>AndroidXCompositeFragment</code></a>.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="com.here.android.mpa.mapping">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a> in <a href="../../../../../../com/here/android/mpa/mapping/package-summary.html">com.here.android.mpa.mapping</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../com/here/android/mpa/mapping/package-summary.html">com.here.android.mpa.mapping</a> that return <a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a></code></td>
<td class="colLast"><span class="typeNameLabel">SupportMapFragment.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/mapping/SupportMapFragment.html#getClipRect--">getClipRect</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Returns the <a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common"><code>ViewRect</code></a> representing the clip
 rectangle for this <a href="../../../../../../com/here/android/mpa/mapping/SupportMapFragment.html" title="class in com.here.android.mpa.mapping"><code>SupportMapFragment</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a></code></td>
<td class="colLast"><span class="typeNameLabel">MapFragment.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/mapping/MapFragment.html#getClipRect--">getClipRect</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Returns the <a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common"><code>ViewRect</code></a> representing the clip
 rectangle for this <a href="../../../../../../com/here/android/mpa/mapping/MapFragment.html" title="class in com.here.android.mpa.mapping"><code>MapFragment</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a></code></td>
<td class="colLast"><span class="typeNameLabel">MapView.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/mapping/MapView.html#getClipRect--">getClipRect</a></span>()</code>
<div class="block">Gets the <code>ViewRect</code> representing the clip rectangle for the <code>MapView</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a></code></td>
<td class="colLast"><span class="typeNameLabel">AndroidXMapFragment.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/mapping/AndroidXMapFragment.html#getClipRect--">getClipRect</a></span>()</code>
<div class="block">Returns the <a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common"><code>ViewRect</code></a> representing the clip
 rectangle for this <a href="../../../../../../com/here/android/mpa/mapping/AndroidXMapFragment.html" title="class in com.here.android.mpa.mapping"><code>AndroidXMapFragment</code></a>.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../com/here/android/mpa/mapping/package-summary.html">com.here.android.mpa.mapping</a> with parameters of type <a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a></span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../../com/here/android/mpa/common/ViewObject.html" title="class in com.here.android.mpa.common">ViewObject</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Map.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/mapping/Map.html#getSelectedObjects-com.here.android.mpa.common.ViewRect-">getSelectedObjects</a></span>(<a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a> rect)</code>
<div class="block">Returns the list of selectable <a href="../../../../../../com/here/android/mpa/common/ViewObject.html" title="class in com.here.android.mpa.common"><code>ViewObject</code></a>
 objects which are within a specified <a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common"><code>ViewRect</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">SupportMapFragment.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/mapping/SupportMapFragment.html#setClipRect-com.here.android.mpa.common.ViewRect-">setClipRect</a></span>(<a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a> rect)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Sets a clipping rectangle to this <a href="../../../../../../com/here/android/mpa/mapping/SupportMapFragment.html" title="class in com.here.android.mpa.mapping"><code>SupportMapFragment</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">MapFragment.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/mapping/MapFragment.html#setClipRect-com.here.android.mpa.common.ViewRect-">setClipRect</a></span>(<a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a> rect)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Sets a clipping rectangle to this <a href="../../../../../../com/here/android/mpa/mapping/MapFragment.html" title="class in com.here.android.mpa.mapping"><code>MapFragment</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">MapView.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/mapping/MapView.html#setClipRect-com.here.android.mpa.common.ViewRect-">setClipRect</a></span>(<a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a> rect)</code>
<div class="block">Sets a clipping rectangle to the <code>MapView</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">AndroidXMapFragment.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/mapping/AndroidXMapFragment.html#setClipRect-com.here.android.mpa.common.ViewRect-">setClipRect</a></span>(<a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a> rect)</code>
<div class="block">Sets a clipping rectangle to this <a href="../../../../../../com/here/android/mpa/mapping/AndroidXMapFragment.html" title="class in com.here.android.mpa.mapping"><code>AndroidXMapFragment</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">SupportMapFragment.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/mapping/SupportMapFragment.html#setClipRect-com.here.android.mpa.common.ViewRect-android.graphics.PointF-">setClipRect</a></span>(<a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a> rect,
           android.graphics.PointF transformCenter)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Sets a clipping rectangle to the <a href="../../../../../../com/here/android/mpa/mapping/SupportMapFragment.html" title="class in com.here.android.mpa.mapping"><code>SupportMapFragment</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">MapFragment.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/mapping/MapFragment.html#setClipRect-com.here.android.mpa.common.ViewRect-android.graphics.PointF-">setClipRect</a></span>(<a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a> rect,
           android.graphics.PointF transformCenter)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Sets a clipping rectangle to the <a href="../../../../../../com/here/android/mpa/mapping/MapFragment.html" title="class in com.here.android.mpa.mapping"><code>MapFragment</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">MapView.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/mapping/MapView.html#setClipRect-com.here.android.mpa.common.ViewRect-android.graphics.PointF-">setClipRect</a></span>(<a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a> rect,
           android.graphics.PointF transformCenter)</code>
<div class="block">Sets a clipping rectangle to the <code>MapView</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">AndroidXMapFragment.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/mapping/AndroidXMapFragment.html#setClipRect-com.here.android.mpa.common.ViewRect-android.graphics.PointF-">setClipRect</a></span>(<a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a> rect,
           android.graphics.PointF transformCenter)</code>
<div class="block">Sets a clipping rectangle to the <a href="../../../../../../com/here/android/mpa/mapping/AndroidXMapFragment.html" title="class in com.here.android.mpa.mapping"><code>AndroidXMapFragment</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../com/here/android/mpa/mapping/MapOffScreenRenderer.html" title="class in com.here.android.mpa.mapping">MapOffScreenRenderer</a></code></td>
<td class="colLast"><span class="typeNameLabel">MapOffScreenRenderer.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/mapping/MapOffScreenRenderer.html#setViewRect-com.here.android.mpa.common.ViewRect-">setViewRect</a></span>(<a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a> viewRect)</code>
<div class="block">Set the view rectangle where the map will be drawn.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Map.</span><code><span class="memberNameLink"><a href="../../../../../../com/here/android/mpa/mapping/Map.html#zoomTo-com.here.android.mpa.common.GeoBoundingBox-com.here.android.mpa.common.ViewRect-com.here.android.mpa.mapping.Map.Animation-float-">zoomTo</a></span>(<a href="../../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common">GeoBoundingBox</a> geoRect,
      <a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">ViewRect</a> viewPort,
      <a href="../../../../../../com/here/android/mpa/mapping/Map.Animation.html" title="enum in com.here.android.mpa.mapping">Map.Animation</a> animation,
      float orientation)</code>
<div class="block">Moves this <code>Map</code> instance and changes its zoom level to show the specified
 <a href="../../../../../../com/here/android/mpa/common/GeoBoundingBox.html" title="class in com.here.android.mpa.common"><code>GeoBoundingBox</code></a> within the provided
 <a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common"><code>ViewRect</code></a>.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../com/here/android/mpa/common/ViewRect.html" title="class in com.here.android.mpa.common">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/here/android/mpa/common/class-use/ViewRect.html" target="_top">Frames</a></li>
<li><a href="ViewRect.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
